<?php
/**
*
* @author Shredder
* @version $Id$
* @copyright (c) 2014 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/info_acp_seo_sitemap');

// Permission check
$this_url = append_sid(generate_board_url() . "/install_sitemap_seo.$phpEx");

if ($user->data['user_type'] != USER_FOUNDER)
{
	if (!$user->data['is_registered'])
	{
		login_box($this_url, $user->lang['SEOMAP_REQ_REGISTER']);
	}
	trigger_error('SEOMAP_REQ_FOUNDER');
}

$mode = request_var('mode', '');

if (empty($mode))
{
	define('UMIL_AUTO', true);

	if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
	{
		trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
	}

	// The name of the mod to be displayed during installation.
	$mod_name = 'SEOMAP_INSTALL';

	/*
	* The name of the config variable which will hold the currently installed version
	* UMIL will handle checking, setting, and updating the version itself.
	*/
	$version_config_name = 'sitemap_seo_version';

	/*
	* The array of versions and actions within each.
	* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
	*
	* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
	* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
	*/
	$versions = array(
		'1.0.0' => array(
			'custom'	=> 'sitemap_info',

			'config_add' => array(
				array('sitemap_seo_excluded', '', 0),
				array('sitemap_seo_cache', 24, 0),
			),

			'module_add' => array(
				array('acp', 'ACP_BOARD_CONFIGURATION', array(
						'module_basename'	=> 'seo_sitemap',
						'module_langname'	=> 'SEOMAP',
						'module_mode'		=> 'settings',
						'module_auth'		=> 'acl_a_board',
					),
				),
			),
		),

		'1.0.1' => array(
		),

		'1.0.2' => array(
			'config_add' => array(
				array('sitemap_seo_prior_0', '0.5', 0),
				array('sitemap_seo_prior_1', '0.6', 0),
				array('sitemap_seo_prior_2', '0.7', 0),
				array('sitemap_seo_prior_3', '0.8', 0),
				array('sitemap_seo_prior_f', '0.9', 0),
				array('sitemap_seo_freq_0', 'daily', 0),
				array('sitemap_seo_freq_1', 'daily', 0),
				array('sitemap_seo_freq_2', 'weekly', 0),
				array('sitemap_seo_freq_3', 'weekly', 0),
				array('sitemap_seo_freq_f', 'weekly', 0),
			),
		),

		'1.0.3' => array(
		),

		'2.0.0' => array(
			'config_add' => array(
				array('sitemap_seo_url_limit', 50000, 0),
			),
		),

		'2.0.1' => array(
		),

		'2.0.2' => array(
			'config_add' => array(
				array('sitemap_seo_url_count', '', 0),
			),

			'cache_purge' => array(),

		),

		'2.1.0' => array(
			'custom'	=> 'sitemap_info',

			'config_add' => array(
				array('sitemap_seo_prior_4', '0.7', 0),
				array('sitemap_seo_freq_4', 'weekly', 0),
			),

			'table_column_add' => array(
				array($table_prefix . 'posts', 'post_modified', array('UINT:11', 0)),
			),
		),

		'2.1.1' => array(
		),

		'2.2.0' => array(
		),

		'2.2.1' => array(
		),

		'2.2.2' => array(
		),

		'2.2.3' => array(
		),
	);

	function sitemap_info($action)
	{
		global $user, $phpbb_root_path, $phpEx;

		$message = '';

		if ($action == 'install' || $action == 'update')
		{
			$message = sprintf($user->lang['SEOMAP_SYNC_REQ'], append_sid("{$phpbb_root_path}install_sitemap_seo.$phpEx?mode=start")) . '<br /><br />';
		}

		$message .= $user->lang['SEOMAP_SUPPORT'];

		return $message;
	}

	// Include the UMIL Auto file, it handles the rest
	include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);
}
else
{
	// Try to override limits
	@set_time_limit(0);
	$mem_limit = @ini_get('memory_limit');

	if (!empty($mem_limit))
	{
		$unit = strtolower(substr($mem_limit, -1, 1));
		$mem_limit = (int) $mem_limit;

		if ($unit == 'k')
		{
			$mem_limit = floor($mem_limit / 1024);
		}
		else if ($unit == 'g')
		{
			$mem_limit *= 1024;
		}
		else if (is_numeric($unit))
		{
			$mem_limit = floor((int) ($mem_limit . $unit) / 1048576);
		}

		$mem_limit = max(128, $mem_limit) . 'M';
	}
	else
	{
		$mem_limit = '128M';
	}

	@ini_set('memory_limit', $mem_limit);

	$start = request_var('start', 0);

	// Limit updated posts to a specified value
	$limit = 5000;

	// Add navlinks
	$template->assign_block_vars('navlinks', array(
		'FORUM_NAME' => $user->lang['SEOMAP_SYNC_TITLE'],
		'U_VIEW_FORUM'	=> append_sid("{$phpbb_root_path}install_sitemap_seo.$phpEx?mode=start"))
	);

	$msg_title = $user->lang['SEOMAP_SYNC_TITLE'];

	// Setup $db_tools for check
	if (!class_exists('phpbb_db_tools'))
	{
		include($phpbb_root_path . 'includes/db/db_tools.' . $phpEx);
	}
	$db_tools = new phpbb_db_tools($db);

	$check = $db_tools->sql_column_exists(POSTS_TABLE, 'post_modified');

	if (!$check)
	{
		trigger_error($user->lang['SEOMAP_REQ_UPDATE'], E_USER_WARNING);
	}

	if ($mode === 'start')
	{
		$cache->destroy('sql', POSTS_TABLE);

		trigger_error($user->lang['SEOMAP_SYNC_WARN'] . '<br /><br /><b> &bull; <a href="' . append_sid("{$phpbb_root_path}install_sitemap_seo.$phpEx?mode=sync") . '">' . $user->lang['SEOMAP_SYNC_START'] . '</a></b>');
	}
	else if ($mode === 'sync')
	{
		$sql = 'SELECT post_id FROM ' . POSTS_TABLE . '
				ORDER BY post_id ASC';
		$result = $db->sql_query_limit($sql, $limit, $start);

		$post_ids = array();

		while ($row = $db->sql_fetchrow($result))
		{
			$post_ids[] = (int) $row['post_id'];
		}
		$db->sql_freeresult($result);

		if (sizeof($post_ids))
		{
			$upd_sql = 'UPDATE ' . POSTS_TABLE . ' SET post_modified =
				CASE
					WHEN post_time > post_edit_time THEN post_time
					ELSE post_edit_time
				END
				WHERE ' . $db->sql_in_set('post_id', $post_ids) . '
				AND post_modified = 0';
			$db->sql_query($upd_sql);
		}

		$sql = 'SELECT COUNT(*) AS postcount FROM ' . POSTS_TABLE;
		$result = $db->sql_query($sql, 3600);
		$count = (int) $db->sql_fetchfield('postcount');
		$db->sql_freeresult($result);

		if ($count > ($start + $limit))
		{
			$percent = round((($start + $limit) / $count) * 100, 2);
			$message = sprintf($user->lang['SEOMAP_SYNC_PROCESS'], $percent, ($start + $limit), $count);

			meta_refresh(1, append_sid($this_url . '?mode=sync&amp;start=' . ($start + $limit)));

			trigger_error($message . '<br />');
		}
		else
		{
			include($phpbb_root_path . 'includes/functions_sitemap.' . $phpEx);

			generate_sitemap();

			set_config('sitemap_seo_url_count', $urls);

			if ($config['sitemap_seo_cache'])
			{
				$cache->put("_sitemap_seo_file", $f_xml, 3600*$config['sitemap_seo_cache']);
			}

			trigger_error($user->lang['SEOMAP_SYNC_COMPLETE'] . sprintf($user->lang['RETURN_INDEX'], '<br /><br /><a href="' . append_sid($phpbb_root_path) . '" >', '</a>'));
		}
	}
}

?>